@charset "UTF-8";


:root {

    --farbe_blau110:#0c1533;
    --farbe_blau:#101c42;
    --farbe_blau90:#283355;

    --farbe_schwarz110:#191E1C;
    --farbe_schwarz:#272D2B;
    --farbe_schwarz90:#373C3C;

    --farbe_grau:#939694;
    --farbe_grau20:#e6e6e6;
    --farbe_grau30:rgba(230, 230, 230, 0.911);
    --farbe_grau50:#7d7d7d;

    --farbe_beige110:#EAC596;
    --farbe_beige:#F5D2A2;
    --farbe_beige90:#F8E3C4;

    --farbe_weiss:#ffffff;

    --farbe_pink:#ce0569;

    --farbe_gruen110:#95c11f;
    --farbe_gruen:#95c11f;
    --farbe_gruen90:#95c11f;

}


.color-blau {
    color:var(--farbe_blau);
}

.bg-color-blau {
    background-color:var(--farbe_blau);
}

.bg-color-blau90 {
    background-color:var(--farbe_blau90);
}

.bg-color-blau110 {
    background-color:var(--farbe_blau110);
}

.color-schwarz {
    color:var(--farbe_schwarz);
}

.color-schwarz90 {
    color:var(--farbe_schwarz90);
}

.bg-color-schwarz110 {
    background-color:var(--farbe_schwarz110);
}

.bg-color-schwarz {
    background-color:var(--farbe_schwarz);
}

.bg-color-schwarz90 {
    background-color: var(--farbe_schwarz90);
}

.bg-color-grau {
    background-color: var(--farbe_grau30);
}

.color-grau {
    color:var(--farbe_grau);
}

.color-beige {
    color:var(--farbe_beige);
}

.bg-color-beige {
    background-color:var(--farbe_beige);
}

.bg-color-weiss {
    background-color:var(--farbe_weiss) !important;
}

.color-weiss {
   color:var(--farbe_weiss);
}


.bg-color-gruen {
    background-color:var(--farbe_gruen);
}

.color-gruen {
   color:var(--farbe_gruen);
}


.color-pink {
   color:var(--farbe_pink);
}





.box-shadow, .box-shadow a {
    display: block;
    width: 100%;
    padding: 10px;
    background-color: #ffffff;  
    color: var(--farbe_schwarz);
    text-decoration: none;
    box-shadow: 0 0px 4px rgba(0, 0, 0, 0.5);
    border-radius: 10px;
    transition: box-shadow 0.3s ease;
}

.box-shadow:hover {
    background-color: var(--farbe_beige90);
}


.box-color {
    padding: 10px;
    background-color: var(--farbe_beige);  
    color: var(--farbe_schwarz);
    text-decoration: none;
    border-radius: 10px;
    transition: box-shadow 0.3s ease;
}


/* Auswahlboxen für Kataloge, Produkte und Muster */

.article-select {
    border: 2px solid #ffffff;
    background-color: #ffffff;
    border-radius:10px; 
}

.article-select:hover {
    border: 2px solid var(--farbe_grau20);
}

.article-select a {
    text-decoration:none;
}

.article-select input[type="text"] {
    border: 1px solid var(--farbe_grau);
    font-size:1.3rem;
    border-radius: 7px;
}

.article-select input[type="text"]:hover, .article-select input[type="text"]:focus, .article-select input[type="text"]:active {
    outline: 2px solid var(--farbe_gruen);
    outline-offset: -1px;

}

.article-select input[type="submit"] {
  background-color: var(--farbe_blau);
  
  border-radius: 5px;
  color: #ffffff;
  
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;

  box-shadow: none;
  border: 1px solid transparent;
}

.article-select-warenkorb {
  background-image: url("https://mf.ipt-solution.de/bentextil/CustomUpload/374O357O340O370O356O369O350O353O356O365O339O356O375O371O360O363O/icon-cart-plus.svg");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  background-origin: content-box;
  padding: 5px;
}




.article-detail input[type="text"] {
    border: 1px solid var(--farbe_grau);
    font-size:1.3rem;
    border-radius: 7px;
    max-width:70px;
}

.article-detail input[type="text"]:hover, .article-detail input[type="text"]:focus, .article-detail input[type="text"]:active {
    outline: 2px solid var(--farbe_gruen);
    outline-offset: -1px;
}

.article-detail input[type="submit"] {
  background-color: var(--farbe_blau);
  
  border-radius: 5px;
  color: #ffffff;
  
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;

  box-shadow: none;
  border: 1px solid transparent;
}

.article-detail-warenkorb {
  background-image: url("https://mf.ipt-solution.de/bentextil/CustomUpload/374O357O340O370O356O369O350O353O356O365O339O356O375O371O360O363O/icon-cart-plus.svg");
  background-size: 24px 24px;
  background-repeat: no-repeat;
  background-position: 10px center;
  background-origin: padding-box;
  padding: 5px;
  padding-left: 40px;
  padding-right:10px;
}

.article-detail-colors {
    display:flex;
    height: 35px;
    width: 35px;
    border-radius: 7px;
    border: 1px solid var(--farbe_blau);
    cursor: default;
    margin-right: 15px;
}





.staffeltabelle {
  display: inline-grid;
  grid-template-rows: auto auto;
  grid-auto-flow: column;
  border: 1px solid #000;
  border-radius: 5px;
  overflow: hidden;
  border-spacing: 0;
}

.staffeltabelle tbody,
.staffeltabelle tr {
  display: contents;
}

.staffeltabelle td {
  padding: .2rem .8rem;
  text-align: center;
  background: #fff;
}

/* obere Reihe (Staffel): horizontale Linie */
.staffeltabelle .staffel {
  grid-row: 1;
  font-weight: 600;
  border-bottom: 1px solid #000;
}








/* Artikel suchen auf der Startseite */

.article-search input[type="text"] {
    border: 1px solid var(--farbe_grau);
    font-size:1.3rem;
    border-radius: 7px;
    max-width:200px;
}

.article-search input[type="text"]:hover, .article-search input[type="text"]:focus, .article-search input[type="text"]:active {
    outline: 2px solid var(--farbe_gruen);
    outline-offset: -1px;
}

.article-search input[type="submit"] {
  background-color: var(--farbe_weiss);
  font-size:1.1rem;
  font-weight:bold;
  padding: 0.2rem 1rem 0.2rem 1rem;

  margin-left:15px;
  
  border-radius: 5px;
  border: 1px solid var(--farbe_blau);
  color: var(--farbe_blau);
  
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;

  box-shadow: none;
}



/* Modalfenster */
/* Anfrage-Modal */


.modal {
  z-index: 2000 !important;
}

.modal-backdrop {
  z-index: 1990 !important;
}

#fw-Anfrage .modal-dialog {
    background-color: var(--farbe_weiss);
    border-radius:10px;
    padding: 20px;
    min-height:200px;
}

#fw-Anfrage .modal-content {
    border:none;
}









/* Cookie-Banner */

.cookie-banner {
    z-index: 1050; /* Überlagert andere Inhalte */
    box-shadow: 0 -2px 5px rgba(0, 0, 0, 0.1); /* Leichter Schatten für Trennung */
    transition: transform 0.3s ease; /* Sanfter Übergang beim Schließen */
    background-color:var(--farbe_pink);
    color:#ffffff;
}

.cookie-banner.hidden {
    transform: translateY(100%); /* Ausblenden durch Verschieben nach unten */
}




/* Sonstige Elemente */

.warning-box {
    padding:1rem;
    border: 2px solid var(--farbe_pink);
    background-color:#f5f5f5;
    border-radius:10px;
    max-width:700px;
}

.confirmation-box {
    padding:1rem;
    border: 2px solid var(--farbe_gruen);
    background-color:#f5f5f5;
    border-radius:10px;
    max-width:700px;
}